path: /build/build/gsl-sci-libs-2.7.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-cblas-external" emerge sci-libs/gsl -pv -t && \
    USE="-cblas-external" emerge -j ${JOBS} --nodeps sci-libs/gsl
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gsl && luet-portage --dir /pkgdir/gsl
    sci-libs/gsl && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:9cca7a4b54f7bb8dbd4142a1a34c07b84788cd9c820c0bdcb2bf57df79bb0504
  package:
    name: gsl
    version: 2.7.1
    category: sci-libs
    use_flags:
    - -cblas-external
    requires:
    - name: eselect-cblas
      version: '>=0'
      category: app-eselect
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The GNU Scientific Library
    uri:
    - https://www.gnu.org/software/gsl/
    license: GPL-3
    buildtimestamp: 2024-02-08 18:10:59.829961963 +0000 UTC m=+251.663768635
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: cblas-external? ( virtual/cblas:= )
      IUSE: cblas-external +deprecated static-libs
      RDEPEND: cblas-external? ( virtual/cblas:= )
      emerge.packages: sci-libs/gsl
      kit: core-kit
      original.package.name: sci-libs/gsl
      original.package.slot: "0"
      original.package.version: 2.7.1
    treedir: /build/packages
  package_dir: /pkgdir/gsl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5368c8705c8b3f9656355af0d93e09db868911119df9c7488e02dd128ae781d2
compressiontype: zstd
files:
- usr/bin/gsl-config
- usr/bin/gsl-histogram
- usr/bin/gsl-randist
- usr/include/gsl/gsl_blas.h
- usr/include/gsl/gsl_blas_types.h
- usr/include/gsl/gsl_block.h
- usr/include/gsl/gsl_block_char.h
- usr/include/gsl/gsl_block_complex_double.h
- usr/include/gsl/gsl_block_complex_float.h
- usr/include/gsl/gsl_block_complex_long_double.h
- usr/include/gsl/gsl_block_double.h
- usr/include/gsl/gsl_block_float.h
- usr/include/gsl/gsl_block_int.h
- usr/include/gsl/gsl_block_long.h
- usr/include/gsl/gsl_block_long_double.h
- usr/include/gsl/gsl_block_short.h
- usr/include/gsl/gsl_block_uchar.h
- usr/include/gsl/gsl_block_uint.h
- usr/include/gsl/gsl_block_ulong.h
- usr/include/gsl/gsl_block_ushort.h
- usr/include/gsl/gsl_bspline.h
- usr/include/gsl/gsl_bst.h
- usr/include/gsl/gsl_bst_avl.h
- usr/include/gsl/gsl_bst_rb.h
- usr/include/gsl/gsl_bst_types.h
- usr/include/gsl/gsl_cblas.h
- usr/include/gsl/gsl_cdf.h
- usr/include/gsl/gsl_chebyshev.h
- usr/include/gsl/gsl_check_range.h
- usr/include/gsl/gsl_combination.h
- usr/include/gsl/gsl_complex.h
- usr/include/gsl/gsl_complex_math.h
- usr/include/gsl/gsl_const.h
- usr/include/gsl/gsl_const_cgs.h
- usr/include/gsl/gsl_const_cgsm.h
- usr/include/gsl/gsl_const_mks.h
- usr/include/gsl/gsl_const_mksa.h
- usr/include/gsl/gsl_const_num.h
- usr/include/gsl/gsl_deriv.h
- usr/include/gsl/gsl_dft_complex.h
- usr/include/gsl/gsl_dft_complex_float.h
- usr/include/gsl/gsl_dht.h
- usr/include/gsl/gsl_diff.h
- usr/include/gsl/gsl_eigen.h
- usr/include/gsl/gsl_errno.h
- usr/include/gsl/gsl_fft.h
- usr/include/gsl/gsl_fft_complex.h
- usr/include/gsl/gsl_fft_complex_float.h
- usr/include/gsl/gsl_fft_halfcomplex.h
- usr/include/gsl/gsl_fft_halfcomplex_float.h
- usr/include/gsl/gsl_fft_real.h
- usr/include/gsl/gsl_fft_real_float.h
- usr/include/gsl/gsl_filter.h
- usr/include/gsl/gsl_fit.h
- usr/include/gsl/gsl_heapsort.h
- usr/include/gsl/gsl_histogram.h
- usr/include/gsl/gsl_histogram2d.h
- usr/include/gsl/gsl_ieee_utils.h
- usr/include/gsl/gsl_inline.h
- usr/include/gsl/gsl_integration.h
- usr/include/gsl/gsl_interp.h
- usr/include/gsl/gsl_interp2d.h
- usr/include/gsl/gsl_linalg.h
- usr/include/gsl/gsl_machine.h
- usr/include/gsl/gsl_math.h
- usr/include/gsl/gsl_matrix.h
- usr/include/gsl/gsl_matrix_char.h
- usr/include/gsl/gsl_matrix_complex_double.h
- usr/include/gsl/gsl_matrix_complex_float.h
- usr/include/gsl/gsl_matrix_complex_long_double.h
- usr/include/gsl/gsl_matrix_double.h
- usr/include/gsl/gsl_matrix_float.h
- usr/include/gsl/gsl_matrix_int.h
- usr/include/gsl/gsl_matrix_long.h
- usr/include/gsl/gsl_matrix_long_double.h
- usr/include/gsl/gsl_matrix_short.h
- usr/include/gsl/gsl_matrix_uchar.h
- usr/include/gsl/gsl_matrix_uint.h
- usr/include/gsl/gsl_matrix_ulong.h
- usr/include/gsl/gsl_matrix_ushort.h
- usr/include/gsl/gsl_message.h
- usr/include/gsl/gsl_min.h
- usr/include/gsl/gsl_minmax.h
- usr/include/gsl/gsl_mode.h
- usr/include/gsl/gsl_monte.h
- usr/include/gsl/gsl_monte_miser.h
- usr/include/gsl/gsl_monte_plain.h
- usr/include/gsl/gsl_monte_vegas.h
- usr/include/gsl/gsl_movstat.h
- usr/include/gsl/gsl_multifit.h
- usr/include/gsl/gsl_multifit_nlin.h
- usr/include/gsl/gsl_multifit_nlinear.h
- usr/include/gsl/gsl_multilarge.h
- usr/include/gsl/gsl_multilarge_nlinear.h
- usr/include/gsl/gsl_multimin.h
- usr/include/gsl/gsl_multiroots.h
- usr/include/gsl/gsl_multiset.h
- usr/include/gsl/gsl_nan.h
- usr/include/gsl/gsl_ntuple.h
- usr/include/gsl/gsl_odeiv.h
- usr/include/gsl/gsl_odeiv2.h
- usr/include/gsl/gsl_permutation.h
- usr/include/gsl/gsl_permute.h
- usr/include/gsl/gsl_permute_char.h
- usr/include/gsl/gsl_permute_complex_double.h
- usr/include/gsl/gsl_permute_complex_float.h
- usr/include/gsl/gsl_permute_complex_long_double.h
- usr/include/gsl/gsl_permute_double.h
- usr/include/gsl/gsl_permute_float.h
- usr/include/gsl/gsl_permute_int.h
- usr/include/gsl/gsl_permute_long.h
- usr/include/gsl/gsl_permute_long_double.h
- usr/include/gsl/gsl_permute_matrix.h
- usr/include/gsl/gsl_permute_matrix_char.h
- usr/include/gsl/gsl_permute_matrix_complex_double.h
- usr/include/gsl/gsl_permute_matrix_complex_float.h
- usr/include/gsl/gsl_permute_matrix_complex_long_double.h
- usr/include/gsl/gsl_permute_matrix_double.h
- usr/include/gsl/gsl_permute_matrix_float.h
- usr/include/gsl/gsl_permute_matrix_int.h
- usr/include/gsl/gsl_permute_matrix_long.h
- usr/include/gsl/gsl_permute_matrix_long_double.h
- usr/include/gsl/gsl_permute_matrix_short.h
- usr/include/gsl/gsl_permute_matrix_uchar.h
- usr/include/gsl/gsl_permute_matrix_uint.h
- usr/include/gsl/gsl_permute_matrix_ulong.h
- usr/include/gsl/gsl_permute_matrix_ushort.h
- usr/include/gsl/gsl_permute_short.h
- usr/include/gsl/gsl_permute_uchar.h
- usr/include/gsl/gsl_permute_uint.h
- usr/include/gsl/gsl_permute_ulong.h
- usr/include/gsl/gsl_permute_ushort.h
- usr/include/gsl/gsl_permute_vector.h
- usr/include/gsl/gsl_permute_vector_char.h
- usr/include/gsl/gsl_permute_vector_complex_double.h
- usr/include/gsl/gsl_permute_vector_complex_float.h
- usr/include/gsl/gsl_permute_vector_complex_long_double.h
- usr/include/gsl/gsl_permute_vector_double.h
- usr/include/gsl/gsl_permute_vector_float.h
- usr/include/gsl/gsl_permute_vector_int.h
- usr/include/gsl/gsl_permute_vector_long.h
- usr/include/gsl/gsl_permute_vector_long_double.h
- usr/include/gsl/gsl_permute_vector_short.h
- usr/include/gsl/gsl_permute_vector_uchar.h
- usr/include/gsl/gsl_permute_vector_uint.h
- usr/include/gsl/gsl_permute_vector_ulong.h
- usr/include/gsl/gsl_permute_vector_ushort.h
- usr/include/gsl/gsl_poly.h
- usr/include/gsl/gsl_pow_int.h
- usr/include/gsl/gsl_precision.h
- usr/include/gsl/gsl_qrng.h
- usr/include/gsl/gsl_randist.h
- usr/include/gsl/gsl_rng.h
- usr/include/gsl/gsl_roots.h
- usr/include/gsl/gsl_rstat.h
- usr/include/gsl/gsl_sf.h
- usr/include/gsl/gsl_sf_airy.h
- usr/include/gsl/gsl_sf_bessel.h
- usr/include/gsl/gsl_sf_clausen.h
- usr/include/gsl/gsl_sf_coulomb.h
- usr/include/gsl/gsl_sf_coupling.h
- usr/include/gsl/gsl_sf_dawson.h
- usr/include/gsl/gsl_sf_debye.h
- usr/include/gsl/gsl_sf_dilog.h
- usr/include/gsl/gsl_sf_elementary.h
- usr/include/gsl/gsl_sf_ellint.h
- usr/include/gsl/gsl_sf_elljac.h
- usr/include/gsl/gsl_sf_erf.h
- usr/include/gsl/gsl_sf_exp.h
- usr/include/gsl/gsl_sf_expint.h
- usr/include/gsl/gsl_sf_fermi_dirac.h
- usr/include/gsl/gsl_sf_gamma.h
- usr/include/gsl/gsl_sf_gegenbauer.h
- usr/include/gsl/gsl_sf_hermite.h
- usr/include/gsl/gsl_sf_hyperg.h
- usr/include/gsl/gsl_sf_laguerre.h
- usr/include/gsl/gsl_sf_lambert.h
- usr/include/gsl/gsl_sf_legendre.h
- usr/include/gsl/gsl_sf_log.h
- usr/include/gsl/gsl_sf_mathieu.h
- usr/include/gsl/gsl_sf_pow_int.h
- usr/include/gsl/gsl_sf_psi.h
- usr/include/gsl/gsl_sf_result.h
- usr/include/gsl/gsl_sf_sincos_pi.h
- usr/include/gsl/gsl_sf_synchrotron.h
- usr/include/gsl/gsl_sf_transport.h
- usr/include/gsl/gsl_sf_trig.h
- usr/include/gsl/gsl_sf_zeta.h
- usr/include/gsl/gsl_siman.h
- usr/include/gsl/gsl_sort.h
- usr/include/gsl/gsl_sort_char.h
- usr/include/gsl/gsl_sort_double.h
- usr/include/gsl/gsl_sort_float.h
- usr/include/gsl/gsl_sort_int.h
- usr/include/gsl/gsl_sort_long.h
- usr/include/gsl/gsl_sort_long_double.h
- usr/include/gsl/gsl_sort_short.h
- usr/include/gsl/gsl_sort_uchar.h
- usr/include/gsl/gsl_sort_uint.h
- usr/include/gsl/gsl_sort_ulong.h
- usr/include/gsl/gsl_sort_ushort.h
- usr/include/gsl/gsl_sort_vector.h
- usr/include/gsl/gsl_sort_vector_char.h
- usr/include/gsl/gsl_sort_vector_double.h
- usr/include/gsl/gsl_sort_vector_float.h
- usr/include/gsl/gsl_sort_vector_int.h
- usr/include/gsl/gsl_sort_vector_long.h
- usr/include/gsl/gsl_sort_vector_long_double.h
- usr/include/gsl/gsl_sort_vector_short.h
- usr/include/gsl/gsl_sort_vector_uchar.h
- usr/include/gsl/gsl_sort_vector_uint.h
- usr/include/gsl/gsl_sort_vector_ulong.h
- usr/include/gsl/gsl_sort_vector_ushort.h
- usr/include/gsl/gsl_spblas.h
- usr/include/gsl/gsl_specfunc.h
- usr/include/gsl/gsl_splinalg.h
- usr/include/gsl/gsl_spline.h
- usr/include/gsl/gsl_spline2d.h
- usr/include/gsl/gsl_spmatrix.h
- usr/include/gsl/gsl_spmatrix_char.h
- usr/include/gsl/gsl_spmatrix_complex_double.h
- usr/include/gsl/gsl_spmatrix_complex_float.h
- usr/include/gsl/gsl_spmatrix_complex_long_double.h
- usr/include/gsl/gsl_spmatrix_double.h
- usr/include/gsl/gsl_spmatrix_float.h
- usr/include/gsl/gsl_spmatrix_int.h
- usr/include/gsl/gsl_spmatrix_long.h
- usr/include/gsl/gsl_spmatrix_long_double.h
- usr/include/gsl/gsl_spmatrix_short.h
- usr/include/gsl/gsl_spmatrix_uchar.h
- usr/include/gsl/gsl_spmatrix_uint.h
- usr/include/gsl/gsl_spmatrix_ulong.h
- usr/include/gsl/gsl_spmatrix_ushort.h
- usr/include/gsl/gsl_statistics.h
- usr/include/gsl/gsl_statistics_char.h
- usr/include/gsl/gsl_statistics_double.h
- usr/include/gsl/gsl_statistics_float.h
- usr/include/gsl/gsl_statistics_int.h
- usr/include/gsl/gsl_statistics_long.h
- usr/include/gsl/gsl_statistics_long_double.h
- usr/include/gsl/gsl_statistics_short.h
- usr/include/gsl/gsl_statistics_uchar.h
- usr/include/gsl/gsl_statistics_uint.h
- usr/include/gsl/gsl_statistics_ulong.h
- usr/include/gsl/gsl_statistics_ushort.h
- usr/include/gsl/gsl_sum.h
- usr/include/gsl/gsl_sys.h
- usr/include/gsl/gsl_test.h
- usr/include/gsl/gsl_types.h
- usr/include/gsl/gsl_vector.h
- usr/include/gsl/gsl_vector_char.h
- usr/include/gsl/gsl_vector_complex.h
- usr/include/gsl/gsl_vector_complex_double.h
- usr/include/gsl/gsl_vector_complex_float.h
- usr/include/gsl/gsl_vector_complex_long_double.h
- usr/include/gsl/gsl_vector_double.h
- usr/include/gsl/gsl_vector_float.h
- usr/include/gsl/gsl_vector_int.h
- usr/include/gsl/gsl_vector_long.h
- usr/include/gsl/gsl_vector_long_double.h
- usr/include/gsl/gsl_vector_short.h
- usr/include/gsl/gsl_vector_uchar.h
- usr/include/gsl/gsl_vector_uint.h
- usr/include/gsl/gsl_vector_ulong.h
- usr/include/gsl/gsl_vector_ushort.h
- usr/include/gsl/gsl_version.h
- usr/include/gsl/gsl_wavelet.h
- usr/include/gsl/gsl_wavelet2d.h
- usr/include/gsl/test_source.c
- usr/lib64/libgsl.so
- usr/lib64/libgsl.so.27
- usr/lib64/libgsl.so.27.0.0
- usr/lib64/libgslcblas.so
- usr/lib64/libgslcblas.so.0
- usr/lib64/libgslcblas.so.0.0.0
- usr/lib64/pkgconfig/gsl.pc
- usr/share/aclocal/gsl.m4
- usr/share/doc/gsl-2.7.1/AUTHORS.bz2
- usr/share/doc/gsl-2.7.1/ChangeLog.bz2
- usr/share/doc/gsl-2.7.1/NEWS.bz2
- usr/share/doc/gsl-2.7.1/README.bz2
- usr/share/doc/gsl-2.7.1/THANKS.bz2
- usr/share/doc/gsl-2.7.1/TODO.bz2
- usr/share/info/gsl-ref.info.bz2
- usr/share/man/man1/gsl-config.1.bz2
- usr/share/man/man1/gsl-histogram.1.bz2
- usr/share/man/man1/gsl-randist.1.bz2
- usr/share/man/man3/gsl.3.bz2
- var/db/pkg/sci-libs/gsl-2.7.1/BDEPEND
- var/db/pkg/sci-libs/gsl-2.7.1/BUILD_TIME
- var/db/pkg/sci-libs/gsl-2.7.1/CATEGORY
- var/db/pkg/sci-libs/gsl-2.7.1/CBUILD
- var/db/pkg/sci-libs/gsl-2.7.1/CFLAGS
- var/db/pkg/sci-libs/gsl-2.7.1/CHOST
- var/db/pkg/sci-libs/gsl-2.7.1/CONTENTS
- var/db/pkg/sci-libs/gsl-2.7.1/COUNTER
- var/db/pkg/sci-libs/gsl-2.7.1/CXXFLAGS
- var/db/pkg/sci-libs/gsl-2.7.1/DEFINED_PHASES
- var/db/pkg/sci-libs/gsl-2.7.1/DESCRIPTION
- var/db/pkg/sci-libs/gsl-2.7.1/EAPI
- var/db/pkg/sci-libs/gsl-2.7.1/FEATURES
- var/db/pkg/sci-libs/gsl-2.7.1/HOMEPAGE
- var/db/pkg/sci-libs/gsl-2.7.1/INHERITED
- var/db/pkg/sci-libs/gsl-2.7.1/IUSE
- var/db/pkg/sci-libs/gsl-2.7.1/IUSE_EFFECTIVE
- var/db/pkg/sci-libs/gsl-2.7.1/KEYWORDS
- var/db/pkg/sci-libs/gsl-2.7.1/LDFLAGS
- var/db/pkg/sci-libs/gsl-2.7.1/LICENSE
- var/db/pkg/sci-libs/gsl-2.7.1/NEEDED
- var/db/pkg/sci-libs/gsl-2.7.1/PF
- var/db/pkg/sci-libs/gsl-2.7.1/PROVIDES
- var/db/pkg/sci-libs/gsl-2.7.1/REQUIRES
- var/db/pkg/sci-libs/gsl-2.7.1/SIZE
- var/db/pkg/sci-libs/gsl-2.7.1/SLOT
- var/db/pkg/sci-libs/gsl-2.7.1/USE
- var/db/pkg/sci-libs/gsl-2.7.1/environment.bz2
- var/db/pkg/sci-libs/gsl-2.7.1/gsl-2.7.1.ebuild
- var/db/pkg/sci-libs/gsl-2.7.1/repository
package_cacheimage: ""
runtime:
  name: gsl
  version: 2.7.1
  category: sci-libs
  use_flags:
  - -cblas-external
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The GNU Scientific Library
  uri:
  - https://www.gnu.org/software/gsl/
  license: GPL-3
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: cblas-external? ( virtual/cblas:= )
    IUSE: cblas-external +deprecated static-libs
    RDEPEND: cblas-external? ( virtual/cblas:= )
    emerge.packages: sci-libs/gsl
    kit: core-kit
    original.package.name: sci-libs/gsl
    original.package.slot: "0"
    original.package.version: 2.7.1
